import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class cei 
{	  public String s;
	  
	  public  cei(String name,String function[])
	  {	  functiongenerator_fi g=new functiongenerator_fi(name,function);
	      s=g.toString();
	      try{g.createfunction();g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }
	  
	  public  cei(String function[])
	  {	  functiongenerator_fi g=new functiongenerator_fi("fi2D",function);	      
	      s=g.toString();
	      try{ g.createfunction();g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }
	  public  cei()
	  {	  String function[]={"x","x*x"};
		  functiongenerator_fi g=new functiongenerator_fi("fi2D",function);	      
	      s=g.toString();
	      try{ g.createfunction();g.finalize();} 
	      catch(Throwable e1) {System.err.println("input error.");}
	  }
	  public static void main(String arg[])
	  { 
		cei x0=new cei();
	  }
}
